SystemOrganization addCategory: #'Pier-Tests-Exporter-Code'!

GRObject subclass: #PRSampleKernelExports
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Tests-Exporter-Code'!

!PRSampleKernelExports class methodsFor: 'kernel creation and export' stamp: 'NickAger 2/8/2012 18:01'!
defaultKernel
	| kernel |
	kernel := PRKernel named: 'defaultKernel'.
	PRPierFrame registerAsApplication: 'defaultKernel' kernel: kernel.
	"ensure an environment is defined so browse to /defaultKernel"
	self halt.	
		
	PRKernelCodeExporter exportAsPier3Kernel: 'defaultKernel'.
	! !

!PRSampleKernelExports class methodsFor: 'kernel creation and export' stamp: 'NickAger 2/8/2012 21:02'!
distributionBlog
	PRDistribution register.
	
	PRKernelCodeExporter exportAsPier3Kernel: 'pier'.
	! !

!PRSampleKernelExports class methodsFor: 'kernel creation and export' stamp: 'NickAger 2/8/2012 21:02'!
distributionBook
	PRBookDistribution register.
	
	PRKernelCodeExporter exportAsPier3Kernel: 'pier'.
	! !

!PRSampleKernelExports class methodsFor: 'kernel creation and export' stamp: 'NickAger 2/8/2012 21:02'!
distributionEvent
	PREventDistribution register.
	
	PRKernelCodeExporter exportAsPier3Kernel: 'pier'.
	! !

!PRSampleKernelExports methodsFor: 'see class side' stamp: 'NickAger 2/8/2012 17:49'!
seeClassSide
	"class side contains creation and exporting methods for testing different kernel types"! !

TestCase subclass: #PRExporterCodeTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Tests-Exporter-Code'!

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 17:45'!
testArrayAsCode
	self assert: (Array with: 10 with: 20) asCode equals: '{10. 20}'! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 17:46'!
testCollectionAsCode
	self assert: (Set newFrom: #(10 20)) asCode equals: '#(10 20)'! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 17:57'!
testDateAndTimeAsCode
	self assert: (DateAndTime year: 1968 month: 6 day: 3 hour: 10 minute: 20 second: 15) asCode equals: '(DateAndTime year: 1968 month: 6 day: 3 hour: 10 minute: 20 second: 15)'.
	
	self assert: (DateAndTime year: 1968 month: 6 day: 3 hour: 10 minute: 20) asCode equals: '(DateAndTime year: 1968 month: 6 day: 3 hour: 10 minute: 20 second: 0)'! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 17:52'!
testDateAsCode
	self assert: (Date newDay: 3 month: 6 year: 1968) asCode equals: '(Date year: 1968 month: 6 day: 3)'! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/7/2012 17:18'!
testDurationAsCode
	self assert: 14 days asCode equals: '(Duration days: 14 hours: 0 minutes: 0 seconds: 0)'! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 18:07'!
testNilAsCode
	self assert: nil asCode equals: 'nil'! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 18:06'!
testPRStructureAsCode
	self assert: (PRKernel defaultRoot lookupPath: '/information/syntax') asCode equals: '(self informationsyntax: kernel)'! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 18:35'!
testStringAsCode
	self assert: 'aString' asCode equals: '''aString'''.
	self assert: 'String' asCode equals: '''String'''.
	self assert: 'String' asCode equals: '''String'''.! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 17:44'!
testSymbolAsCode
	self assert: #aSymbol asCode equals: '#aSymbol'! !

!PRExporterCodeTests methodsFor: 'tests' stamp: 'NickAger 2/6/2012 19:08'!
testWideStringAsCode
	self assert: (WideString with: (Unicode value: 402) with: $a with: (Unicode value: 400) with: $b) asCode equals: '(WideString fromByteArray: #[0 0 1 146 0 0 0 97 0 0 1 144 0 0 0 98])'
! !
